List import datasets
curl --request GET \
--url https://api.prequel.co/import/datasets \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.prequel.co/import/datasets"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.prequel.co/import/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"datasets": [
{
"id": "<string>",
"name": "orders",
"source_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"provider_id": "acme-inc",
"is_enabled": true,
"frequency_minutes": 60,
"datalake_schema": "data_export",
"datalake_table_name": "orders",
"created_at": "<string>",
"updated_at": "<string>",
"type": "dimension",
"dimension": {
"primary_key_column": "id",
"last_modified_column": "updated_at",
"is_deleted_column": "is_deleted"
},
"method": "table",
"table": {
"source_table_namespace": "public",
"source_table_name": "orders"
}
}
]
},
"message": "<string>",
"has_next": true,
"next_url": "<string>"
}{
"status": "error",
"message": "<string>",
"data": null
}{
"status": "error",
"message": "<string>",
"data": null
}{
"status": "error",
"message": "<string>",
"data": null
}{
"status": "error",
"message": "<string>",
"data": null
}Datasets
List import datasets
Retrieve list of import datasets.
GET
/
import
/
datasets
List import datasets
Authorizations
Query Parameters
Filter by import source ID.
Filter by dataset type (fact or dimension).
Filter by datalake ID.
Number of items to return per page.
Sort order for items
Available options:
asc, desc Used for pagination - represents last page seen. Value is included in response when there is a next page.